cpw.mods.fml.client.config

## Class GuiConfigEntries.ChatColorEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase
  - - cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry
    - - cpw.mods.fml.client.config.GuiConfigEntries.CycleValueEntry
      - - cpw.mods.fml.client.config.GuiConfigEntries.ChatColorEntry

- All Implemented Interfaces:
    GuiConfigEntries.IConfigEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    GuiConfigEntries

      public static class GuiConfigEntries.ChatColorEntry
      extends GuiConfigEntries.CycleValueEntry

  ChatColorEntry Provides a GuiButton that cycles through the list of chat color codes.

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CycleValueEntry

      `beforeIndex, currentIndex, defaultIndex`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry

      `btnValue`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `btnDefault, btnUndoChanges, configElement, defaultHoverChecker, defaultToolTip, drawLabel, isValidValue, mc, name, owningEntryList, owningScreen, toolTip, tooltipHoverChecker, undoHoverChecker, undoToolTip`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int slotIndex, int x, int y, int listWidth, int slotHeight, Tessellator tessellator, int mouseX, int mouseY, boolean isSelected)`
    `void` | `updateValueButtonText()` Updates the displayString of the value button.

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CycleValueEntry

      `getCurrentValue, getCurrentValues, isChanged, isDefault, saveConfigElement, setToDefault, undoChanges, valueButtonPressed`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry

      `keyTyped, mouseClicked, mousePressed, mouseReleased, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `drawToolTip, enabled, getConfigElement, getEntryRightBound, getLabelWidth, getName, onGuiClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### drawEntry

          public void drawEntry(int slotIndex,
                       int x,
                       int y,
                       int listWidth,
                       int slotHeight,
                       Tessellator tessellator,
                       int mouseX,
                       int mouseY,
                       boolean isSelected)

      Specified by:
        `drawEntry` in interface `GuiListExtended.IGuiListEntry`
      Overrides:
        `drawEntry` in class `GuiConfigEntries.ButtonEntry`

    - #### updateValueButtonText

          public void updateValueButtonText()

      Description copied from class: `GuiConfigEntries.ButtonEntry`
      Updates the displayString of the value button.
      Overrides:
        `updateValueButtonText` in class `GuiConfigEntries.CycleValueEntry`